Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ExportEntryTree

- All Superinterfaces:
    `Tree`

      public interface ExportEntryTree
      extends Tree

  A Tree node for export entry in Module information.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IdentifierTree` | `getExportName​()` | Returns the entry's export name.
    `IdentifierTree` | `getImportName​()` | Returns the entry's import name.
    `IdentifierTree` | `getLocalName​()` | Returns the entry's local name.
    `IdentifierTree` | `getModuleRequest​()` | Returns the entry's module request.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getExportName

          IdentifierTree getExportName​()

      Returns the entry's export name.
      Returns:
        the export name

    - #### getModuleRequest

          IdentifierTree getModuleRequest​()

      Returns the entry's module request.
      Returns:
        the module request

    - #### getImportName

          IdentifierTree getImportName​()

      Returns the entry's import name.
      Returns:
        the import name

    - #### getLocalName

          IdentifierTree getLocalName​()

      Returns the entry's local name.
      Returns:
        the local name